Package org.apache.avro.perf.test.reflect

# Class ReflectBigRecordTest

java.lang.Object
org.apache.avro.perf.test.reflect.ReflectBigRecordTest

Direct Known Subclasses:
  `ReflectBigRecordTest_jmhType_B1`

public class ReflectBigRecordTest extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ReflectBigRecordTest.TestStateDecode`
`static class`
`ReflectBigRecordTest.TestStateEncode`

## Constructor Summary

Constructors
Constructor
Description
`ReflectBigRecordTest()`

## Method Summary

Modifier and Type
Method
Description
`void`
`decode(org.openjdk.jmh.infra.Blackhole blackhole, ReflectBigRecordTest.TestStateDecode state)`
`void`
`encode(ReflectBigRecordTest.TestStateEncode state)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReflectBigRecordTest

public ReflectBigRecordTest()

## Method Details

### encode

public void encode(ReflectBigRecordTest.TestStateEncode state) throws Exception

Throws:
  `Exception`

### decode

public void decode(org.openjdk.jmh.infra.Blackhole blackhole, ReflectBigRecordTest.TestStateDecode state) throws Exception

Throws:
  `Exception`